org.apache.solr.common.params

## Enum FacetParams.FacetRangeMethod

- java.lang.Object
- - java.lang.Enum<FacetParams.FacetRangeMethod>
  - - org.apache.solr.common.params.FacetParams.FacetRangeMethod

All Implemented Interfaces:
  Serializable, Comparable<FacetParams.FacetRangeMethod>

Enclosing interface:
  FacetParams

    public static enum FacetParams.FacetRangeMethod
    extends Enum<FacetParams.FacetRangeMethod>

An enumeration of the legal values for `FacetParams.FACET_RANGE_METHOD`

- filter =
- dv =

See Also:
  `FacetParams.FACET_RANGE_METHOD`

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DV`
`FILTER`

### Method Summary

Methods
`static FacetParams.FacetRangeMethod` `get(String label)`
`static FacetParams.FacetRangeMethod` `getDefault()`
`String` `toString()`
`static FacetParams.FacetRangeMethod` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static FacetParams.FacetRangeMethod[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### FILTER

    public static final FacetParams.FacetRangeMethod FILTER

#### DV

    public static final FacetParams.FacetRangeMethod DV

### Method Detail

#### values

    public static FacetParams.FacetRangeMethod[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (FacetParams.FacetRangeMethod c : FacetParams.FacetRangeMethod.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static FacetParams.FacetRangeMethod valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<FacetParams.FacetRangeMethod>`

#### get

    public static FacetParams.FacetRangeMethod get(String label)

#### getDefault

    public static FacetParams.FacetRangeMethod getDefault()